Bug 463752 - qt-designer 4.4.1 don't save a signal/slot [NEEDINFO]
qt-designer 4.4.1 don't save a signal/slot
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-24 10:56 EDT by Volnei
Modified: 2009-01-09 02:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:52:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo? (vcputtini)

Attachments (Terms of Use)

  None (edit)
Description Volnei 2008-09-24 10:56:55 EDT
Description of problem:

When I create a signal/slot via qt-designers editor it doesn't save correctly the instruction in the file .ui. The qt-designer is not creating the section <connection>.

Someone help-me? Please

Thanks in advanced.

Version-Release number of selected component (if applicable):


How reproducible:

For example create a widget and add pushbutton, and after use
signal/slot to editor to create a connection. Save the project and
The signal created wasn't saved.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Rex Dieter 2008-09-24 11:27:09 EDT
I doubt this is a fedora-specific issue, and without additional details, it's hard to determine if there's a genuine confirmable bug here.

I'd suggest taking your issue up with Trolltech, or a qt forum, or mailing list.  Such resources are available at:

and ultimately, if a bug can be confirmed, inform trolltech:
Comment 2 Volnei 2008-09-24 15:25:04 EDT
I already do this. I make downgrade from 4.4.1 to qt4-*4.3.5-1.fc8.i386 and all work fine again. 
I know that this cannot be a Fedora's bug, but if you can help I thank very much.
Comment 3 Bug Zapper 2008-11-26 06:10:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Kevin Kofler 2008-11-26 06:23:07 EST
Is this still broken with the Qt 4.4.3 update? If so, this is likely to also affect Fedora 9.
Comment 5 Bug Zapper 2009-01-09 02:52:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.